CvsVersion (Apache Ant API)

org.apache.tools.ant.taskdefs.cvslib

## Class CvsVersion

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.AbstractCvsTask
      - - org.apache.tools.ant.taskdefs.cvslib.CvsVersion

- All Implemented Interfaces:
    java.lang.Cloneable

      public class CvsVersion
      extends AbstractCvsTask

  this task allows to find out the client and the server version of a CVS installation example usage : <cvsversion cvsRoot=":pserver:anoncvs@cvs.apache.org:/home/cvspublic" passfile="c:/programme/cygwin/home/antoine/.cvspass" clientversionproperty="apacheclient" serverversionproperty="apacheserver" /> the task can be used also in the API by calling its execute method, then calling getServerVersion and/or getClientVersion
  Since:
    ant 1.6.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.AbstractCvsTask

      `AbstractCvsTask.Module`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.AbstractCvsTask

      `DEFAULT_COMPRESSION_LEVEL`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsVersion()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` the execute method running CvsVersion
    `java.lang.String` | `getClientVersion()` Get the CVS client version
    `java.lang.String` | `getServerVersion()` Get the CVS server version
    `void` | `setClientVersionProperty(java.lang.String clientVersionProperty)` Set a property where to store the CVS client version
    `void` | `setServerVersionProperty(java.lang.String serverVersionProperty)` Set a property where to store the CVS server version
    `boolean` | `supportsCvsLogWithSOption()` Find out if the server version supports log with S option

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.AbstractCvsTask

      `addCommandArgument, addCommandArgument, addConfiguredCommandline, addConfiguredCommandline, addModule, configureCommandline, getCommand, getCvsRoot, getCvsRsh, getDest, getErrorStream, getExecuteStreamHandler, getModules, getOutputStream, getPackage, getPassFile, getPort, getTag, removeCommandline, runCommand, setAppend, setCommand, setCompression, setCompressionLevel, setCvsRoot, setCvsRsh, setDate, setDest, setError, setErrorStream, setExecuteStreamHandler, setFailOnError, setNoexec, setOutput, setOutputStream, setPackage, setPassfile, setPort, setQuiet, setReallyquiet, setTag`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CvsVersion

          public CvsVersion()

  - ### Method Detail

    - #### getClientVersion

          public java.lang.String getClientVersion()

      Get the CVS client version
      Returns:
        CVS client version

    - #### getServerVersion

          public java.lang.String getServerVersion()

      Get the CVS server version
      Returns:
        CVS server version

    - #### setClientVersionProperty

          public void setClientVersionProperty(java.lang.String clientVersionProperty)

      Set a property where to store the CVS client version
      Parameters:
        `clientVersionProperty` - property for CVS client version

    - #### setServerVersionProperty

          public void setServerVersionProperty(java.lang.String serverVersionProperty)

      Set a property where to store the CVS server version
      Parameters:
        `serverVersionProperty` - property for CVS server version

    - #### supportsCvsLogWithSOption

          public boolean supportsCvsLogWithSOption()

      Find out if the server version supports log with S option
      Returns:
        boolean indicating if the server version supports log with S option

    - #### execute

          public void execute()

      the execute method running CvsVersion
      Overrides:
        `execute` in class `AbstractCvsTask`